Ikasten.IO
Learning, Aprendiendo

Tarjetas Wireless Broadcom, Linux y Dell 8 octubre, 2008

Aquellos sufridos usuarios que tengamos una tarjeta Broadcom con chipsets 4311, 4312, 4321 ó 4322 , parece que estamos de enhorabuena. Broadcom ha decidido dar soporte directo a Linux publicando drivers específicos para estos chipsets … y no tener que buscarse la vida como hasta ahora. Parece que Dell ha colaboraborado en esta iniciativa (muchos portátiles Dell usan esos chipsets).

Puedes saber tu tipo de chipset wifi así:


juanan@cox:~$ lspci | grep WLAN
0c:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)

¿Resolverán los nuevos drivers el problema de desconexión en la red eduroam de las universidades? (conectamos, pero a los X minutos, las muy puñeteras se desconectan solas…)

Categorias diariolinux EHUX
  • BasaBuru dice:

    Iepa:

    He ido perdiendo el culo…… se me ha cascado el ndiswrapper y a ver si lo apañaba.

    Pero na..

    Que putada esto de usar kernels unstable…… no compila en un 2.6.27-rc9 lo mismo que el ndiswrapper, la vida es mu dura.

    Buassssssssss

    un saludo

  • BasaBuru dice:

    Chessy:

    al final he echado para atras y he vuelto a un estable 2.6.26.6

    Compilar compila, pero me da un error al insertarlo

    insmod wl.ko

    insmod: error inserting ‘wl.ko’: -1 Unknown symbol in module

    Ya lo has probado??

    Un saludo

  • BasaBuru dice:

    Na apañado

    Son unos cutres…… ni make install ni na.

    Creas un directorio “extras” por ejemplo en el /lib/modules//extras

    Mas que todo para que no te pise…… pero lo puedes meter en otro lado

    kernel/drivers/net/wireless p.e.

    Y metes ahí el wl.ko

    Luego depmod -a

    y pa acabar metes en el /etc/modules el ieee80211_crypt_tkip y wl

    Y me reconoce la tarjeta :))) ahora a probar.

    antiestético pero configura el dispositivo como eth1 en vez del elegante wlan0

    :))))

  • arpia49 dice:

    Si son los que vienen en Ubuntu 8.10, eduroam ya no se desconecta cada dos por tres, lo he podido comprobar esta mañana.

  • virtualdrug dice:

    Espero k funcionen mejor k los de ubuntu y que los de suse 10.3

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *